commit 6c21e937384272a17f5afd29c4ac74e071816d6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 4 19:35:36 2018 -0800

    listres 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a8f2ae3ec37b6a0cc99ba4e473efc817809a492c
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 2adf2cb58752061315993fc5d185ba0e6a8cc73f
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6b625659ff1080ddc22297e4fa4b7abaa82edb58
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 07dd96a8bf5b8cff7a71e3847e843fd005c17b67
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 00:08:08 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ec3086dbd7518e448b8c9d27eaf821fcc71d9d8e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 00:08:08 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41b26af843252ff7f8f4cbb666e67a1f45763f01
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 00:08:02 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit abc8ae7a5c3dce163635fd100b925fe9b4d670ba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 29 19:32:30 2012 -0800

    listres 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 008a2b21156a4eac85906d6b4b5e10ca0e4f740f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 19:32:23 2012 -0800

    Replace computed printf format string with static string
    
    Allows format string analysis by gcc & other code checkers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit ca962dc8de8af38a641e7fdd4243146817776924
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 19:15:28 2012 -0800

    Combine usage string/fprintf calls into one
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd31d1f8f205c140001052d15ab1ffbd5579dba4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 18 19:28:36 2011 -0800

    listres depends on xproto, not x11 (Xlib)
    
    listres doesn't include any Xlib headers or call any Xlib functions
    directly, but does include <X11/Xos.h> from xproto.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3dd75eb87cc61e9b6acbd18c79357a4ae63cc440
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 13c461883dc65eb63a116e3e3131e00076a82095
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6b38083afd5d23e5c758a4a2a746593a6a40ce95
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9151c4b149f1ca87eb99fe1281a06397fdc314c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit dd0509dff09cf4913d888c3ae31bf48065ddb6d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 74dcfa0a80c1ecf1166ad5f11f5ee73851b38a39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:47 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e9b98b326afd84d05a5e06cd185c847d6302b252
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3ae6b39b41d942e734eddfdf2485074876700afa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 07746dcbde6229dd036b44d7d1d31e3994c8d39c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:23:52 2011 -0500

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b5c6f43a6fdba721c9bf3a464544ca31de3d84c9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 10:21:24 2011 -0500

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules in one pass is 2.60 dated June 2006.
    
    A version later than 2.60 can be used, but no new features from such
    a later version can be used in configure.ac.
    
    Although the code in this module can be configured with a version earlier
    than 2.60, most of code is now contained in macros from util-macros
    which use features of version 2.60, at the present or in the future.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ddf8dcba06c2fe3044db1f600de7d5c6e325c4a4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 15 15:05:08 2009 -0800

    listres 1.0.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b6e0bf5c235199c7682da6b2271f926e6af57e9b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 15 15:04:41 2009 -0800

    Fill in COPYING file with notices from listres.c & listres.man
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5720370421014c0b465385e65b94659f044dcec6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 15 15:02:27 2009 -0800

    Apply automake silent rules to manpage generation too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 67bf7e0061fc1c778b9fee0f2bb4ce23059c476f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Dec 15 15:01:01 2009 -0800

    Combine pkg-config checks now that we can hardcode xaw7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3112acb4901bf29d2a03913e8d10cba5e621a5e4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit a43957081b6898ef03f99638fdb25e1bb9201a65
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 5244302d83dbbcd243417e309226812a3cf576ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 8fba37e0bc9b15114bbdd920e0efdbb7cf54a9aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit f4dda473382b40bfb095a6ccce7d0b97a302ed14
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit cf1bd3ca78ec602e3e776cf575350d2d8430e5d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:17 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit aa10bf36fa16cb9e832971daecb92a6de3d346d5
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 12 18:35:55 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit c1adeeb234f9d47d1639f5223371ac99ac22d565
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:48 2008 -0400

    xaw8 is gone, use xaw7

commit 29479333c05afc85f85d988f61d8c4b6aef7446d
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:02 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 90e21df9bfd68b2deb89591aff4d89e7695bafa8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 16:45:41 2007 -0700

    Change listres_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit de65ef12f1749c9d5619dfe8f7605f4df3ac7d48
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 16:44:49 2007 -0700

    renamed: .cvsignore -> .gitignore

commit 41a2a3f605856d53eb06fb9227538bd6a77f676d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:43 2005 +0000

    Update package version for X11R7 release.

commit d29babdb11e5111f4ecf5f5d28a041f94adf54c6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:40 2005 +0000

    Stub COPYING files

commit 6f713a7747ad00ed3517da35631369562751a18d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:02 2005 +0000

    Update package version number for final X11R7 release candidate.

commit a562cac61783c618b6e5b4ad6a0b25f279235b0d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:17 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 9b83de948d48c6d8528200eebcd62c8774672ef4
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:16 2005 +0000

    Update package version number for X11R7 RC3 release.

commit c6b6664509b2278635d6e5c4033624ce9868dc58
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:37 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 4e708575bf9fc40c3c163a411f8b094b81deb5b9
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:55 2005 +0000

    Another pass at .cvsignores for apps.

commit e7f615b1f0728310873b8f7c33ed3fb376c4d259
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:48 2005 +0000

    Add/improve .cvsignore files for apps.

commit fa6d4784e89cc654a2edd61dd80dffae86a02685
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:48 2005 +0000

    Update package version number for RC1 release.

commit a3266bc7eb3610ad328cbdba04b9fa7c3b53b329
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:19 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 9fd4f2493a7ffe373f80162dd4ed5568e37d749e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:41 2005 +0000

    Use sed to fill in variables in man page

commit fcc214eb4c7af71599db50276f2a5573946a2943
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:28 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 4a76a45b8fcf5d24248af3c301e0d10b3bcd9aaa
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:29 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 7334df8b1d2aaa3d86ef0edb67138026e154f6b7
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:49 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 8b25b98b1cbe95610a862d75cdecd59cd40bca30
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 14 22:40:14 2005 +0000

    Add _BSD_SOURCE to lots of applications - patch from Stefan Dirsch

commit 0b8defdf67bc0354d90c525bd4d81dff7f397925
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 15:09:55 2005 +0000

    Check in build system for listres

commit 9b634330ae19c158d05ebf6f703abe2bebcc1ad6
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:35 2004 +0000

    Merging XORG-CURRENT into trunk

commit b2fb640ba34463374bc24f70f8a4aedf6fef1f99
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:53 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit aaf179bdca55ed4191489fb1f040816963fe0a4b
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:53 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 59d9ef519922013e377335916bb6ca5c2fc39d2d
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit d4a23671859562115b82333812837142a56b72c2
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:54 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 4be27e287b562d724ac1093da25399308a8db083
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:02 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit e7e4e9e91e2a65d9b0fadd743d556a8173b62cad
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:57 2003 +0000

    XFree86 4.3.0.1

commit 874408d7537bb75aae3716ad7ebafdf155e1ab0f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:57 2003 +0000

    Initial revision
